## utouch-qml 1.0.4

=== CMakeLists.txt ===
project(utouch-qml)
cmake_minimum_required(VERSION 2.8)

# Build flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror -fvisibility=hidden")

# Dependencies
include(FindPkgConfig)
find_package(Qt4 REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(Doxygen)

pkg_check_modules(UTOUCH_GEIS REQUIRED libutouch-geis)

include_directories(
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTGUI_INCLUDE_DIR}
    ${QT_QTDECLARATIVE_INCLUDE_DIR}
    ${UTOUCH_GEIS_INCLUDE_DIRS}
    )

# Source
add_subdirectory(src)

# Distribution settings
set(PROJECT_VERSION "1.0.4")
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
add_custom_target(dist
    COMMAND bzr export --root=${ARCHIVE_NAME}
    ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.gz
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== debian/changelog ===
utouch-qml (1.0.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixes issue with gesture acceptance (LP: #823190)
    - Fixes error when run under qmlviewer -frameless (LP: #823194)
    - Documentation now reflects whether gesture area is continuous or
      instantaneous (LP: #823819)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Wed, 10 Aug 2011 17:06:49 -0700

utouch-qml (1.0.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Fixes issue with overlapping gesture areas (LP: #822846)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Mon, 08 Aug 2011 12:33:53 -0700

utouch-qml (1.0.2-0ubuntu1) oneiric; urgency=low

  * Initial release (LP: #817760)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 02 Aug 2011 11:36:33 -0700

## utouch-qml 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 add_subdirectory(src)
 
 # Distribution settings
-set(PROJECT_VERSION "1.0.4")
+set(PROJECT_VERSION "1.0.5")
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 add_custom_target(dist
     COMMAND bzr export --root=${ARCHIVE_NAME}

=== debian/changelog ===
utouch-qml (1.0.5-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Remove obsolete "Maintainer" entry from copyright file
  * Added BSD license of cpplint.py to copyright file

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 06 Dec 2011 09:02:45 -0800

=== debian/control ===
Source: utouch-qml
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               pkg-config,
               libqt4-dev,
               libutouch-geis-dev (>= 2.1.2),
               doxygen,
               qt4-dev-tools
Standards-Version: 3.9.2
Homepage: https://launchpad.net/utouch-qml
Vcs-Bzr: https://code.launchpad.net/~utouch-packaging/utouch-qml/ubuntu

Package: libutouch-qml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libutouch-qml-doc
Description: QML plugin for the uTouch gesture framework
 The plugin provides QML elements for receiving gestures from uTouch. Gesture,
 touch, and device properties are provided.

Package: libutouch-qml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libutouch-qml
Description: QML plugin for the uTouch gesture framework - documentation
 The plugin provides QML elements for receiving gestures from uTouch. Gesture,
 touch, and device properties are provided.
 .
 API and specification documentation for developing with uTouch-qml.

## utouch-qml 1.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 add_subdirectory(src)
 
 # Distribution settings
-set(PROJECT_VERSION "1.0.5")
+set(PROJECT_VERSION "1.0.6")
 set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
 add_custom_target(dist
     COMMAND bzr export --root=${ARCHIVE_NAME}

=== src/CMakeLists.txt ===
set(uTouch_SRCS
    continuousgesturearea.cpp
    device.cpp
    geissingleton.cpp
    gesture.cpp
    gesturearea.cpp
    gestureevent.cpp
    instantaneousgesturearea.cpp
    touch.cpp
    utouch_plugin.cpp
    utouchdragarea.cpp
    utouchpincharea.cpp
    utouchrotatearea.cpp
    utouchtaparea.cpp
    )

set(uTouch_HDRS
    continuousgesturearea.h
    device.h
    geissingleton.h
    gesture.h
    gesturearea.h
    gestureevent.h
    instantaneousgesturearea.h
    touch.h
    utouch_plugin.h
    utouchdragarea.h
    utouchpincharea.h
    utouchrotatearea.h
    utouchtaparea.h
    )

qt4_wrap_cpp(uTouch_MOC_SRCS ${uTouch_HDRS})

add_library(uTouch MODULE ${uTouch_SRCS} ${uTouch_MOC_SRCS})

target_link_libraries(uTouch ${UTOUCH_GEIS_LDFLAGS})

set(PLUGIN_INSTALL_DIR lib/qt4/imports/uTouch)

install(TARGETS uTouch DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES qmldir DESTINATION ${PLUGIN_INSTALL_DIR})

# Documentation target
if (DOXYGEN_FOUND)
    configure_file(${CMAKE_SOURCE_DIR}/Doxyfile.in
        ${CMAKE_BINARY_DIR}/Doxyfile @ONLY)

    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/html
    COMMAND ${DOXYGEN_EXECUTABLE}
    DEPENDS ${uTouch_SRCS} ${uTouch_HDRS} ${CMAKE_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen" VERBATIM)

    add_custom_target(doc ALL DEPENDS ${CMAKE_BINARY_DIR}/html)

    install(DIRECTORY ${CMAKE_BINARY_DIR}/html DESTINATION "share/doc/utouch-qml")
    install(FILES ${CMAKE_BINARY_DIR}/qch/utouch-qml.qch DESTINATION "share/qt4/doc/qch")
endif (DOXYGEN_FOUND)

=== debian/changelog ===
utouch-qml (1.0.6-0ubuntu1) precise-proposed; urgency=low

  * New upstream release.
    - Bug fixes only
    - Fix FTBFS against utouch-geis 2.2.6 and later (LP: #987548)
    - Fix touchscreen gestures not working (LP: #987554)
    - Fix geis event handling for multiple available events (LP: #987552)
  * Bump lintian standards version to 3.9.3

 -- Chase Douglas <chase.douglas@ubuntu.com>  Tue, 24 Apr 2012 09:00:24 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libutouch-geis-dev (>= 2.1.2),
                doxygen,
                qt4-dev-tools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/utouch-qml
 Vcs-Bzr: https://code.launchpad.net/~utouch-packaging/utouch-qml/ubuntu

=== debian/watch ===
version=3
https://launchpad.net/utouch-qml/+download .*/utouch-qml-([0-9.]+~?.+?)\.tar\.gz
